/*
 * @Author: Badguy
 * @Date: 2022-02-14 09:37:11
 * @LastEditTime: 2022-04-06 10:43:17
 * @LastEditors: your name
 * @Description: 账号组|岗位api
 * have a nice day!
 */
import request from '@/utils/request'
const accountGroupType = PLATFROM_CONFIG.accountGroupType

// 账号组|岗位树查询
export function GetGroupTree (params) {
  return request({
    url: '/api/fs4a/GetGroupTree/v1',
    method: 'post',
    data: params
  })
}

//账号组|岗位新增
export function SaveGroup (params) {
  return request({
    url: '/api/fs4a/SaveGroup/v1',
    method: 'post',
    data: params,
    msg: `新增${accountGroupType}`,
    Ident: 'group_btn_save'
  })
}

//账号组|岗位删除
export function DeleteGroup (params) {
  return request({
    url: '/api/fs4a/DeleteGroup/v1',
    method: 'post',
    data: params,
    msg: `删除${accountGroupType}`,
    Ident: 'grouptree_btn_del_group'
  })
}

//账号组|岗位详情
export function GetGroupDetails (params) {
  return request({
    url: '/api/fs4a/GetGroupDetails/v1',
    method: 'post',
    data: params
  })
}

//账号组|岗位修改状态
export function ChangeGroupStatus (params) {
  return request({
    url: '/api/fs4a/ChangeGroupStatus/v1',
    method: 'post',
    data: params,
    msg: `${accountGroupType}状态更新`,
    Ident: 'grouptree_btn_state_switch'
  })
}

// 根据账号组|岗位获取权限树
export function GetAuthTreeByGroup (params) {
  return request({
    url: '/api/fs4a/GetAuthTreeByGroup/v1',
    method: 'post',
    data: params
  })
}

// 修改保存账号组|岗位
export function EditGroup (params) {
  return request({
    url: '/api/fs4a/EditGroup/v1',
    method: 'post',
    data: params,
    msg: `更新${accountGroupType}`,
    Ident: 'group_btn_edit'
  })
}

//根据账号组|岗位获取角色
export function GetRoleByGroup (params) {
  return request({
    url: '/api/fs4a/GetRoleByGroup/v1',
    method: 'post',
    data: params
  })
}
